#ifndef CMWMANUALMODEL_H
#define CMWMANUALMODEL_H

#include "cmwidget.h"
class CAMatch;
namespace Ui {
class CMWManualModel;
}
class CMWCamLight;
class CMWManualModel : public CMWidget
{
    Q_OBJECT

public:
    explicit CMWManualModel(QWidget *parent = 0);
	~CMWManualModel();
    void MInit();
    void MFresh();
    void MApply();
    void MTimeFresh();

    void hideEvent(QHideEvent *event);
    CAMatch* m_pMtachForTest;
	int32_t m_iCurCamID;
	int32_t m_iCurSideID;

    QString strCurFile;

    void on_pushButton_save_clicked();
private slots:

    void on_pushButton_tool_clicked();

    void on_pushButton_train_clicked();

    void on_pushButton_test_clicked();

	void on_pushButton_SetOffset_clicked();

    void on_btnToModel_clicked();

    void on_btnToStreet_clicked();

    void on_btnFindModel_clicked();

    void on_chkLowModelOffset_clicked();

private:
	Ui::CMWManualModel *ui;
    void loadModel();
};

#endif // CMWMANUALMODEL_H
